<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="../css/style.css" />
    <!-- Font awesome -->
    <script
      src="https://kit.fontawesome.com/8f4c8f6237.js"
      crossorigin="anonymous"
    ></script>
    <title>Level 4</title>
  </head>

  <div id="actualLvl">4</div>

  <body class="bckLvl lvl4">
    <div id="deathCounterContainer">
      <div class="keyboard">
        <div class="touches">
          <div class="touche q"></div>
          <div class="touche up">W</div>
          <div class="touche e"></div>
        </div>
        <div class="touches">
          <div class="touche left">A</div>
          <div class="touche down">S</div>
          <div class="touche right">D</div>
        </div>
        <div class="touches">
          <div class="touche space">SPACE</div>
        </div>
      </div>

      <label class="difficulty">
        <input id="checkboxEZ" type="checkbox" />
        <img src="../assets/buoy.png" alt="" />
        <span class="checkmark"></span>
      </label>
      <button class="ui-sound-button" onclick="onClickAllAudioMute()">
        <i id="allAudio" class="fas fa-volume-up"></i>
      </button>
      <button class="ui-sound-button" onclick="onClickAllSFXMute()">
        <i id="fxAudio" class="fas fa-headphones-alt"></i>
      </button>
      <button class="ui-sound-button" onclick="onClickAllSongMute()">
        <i id="musicAudio" class="fas fa-music"></i>
      </button>
      <button class="ui-sound-button" onclick="onClickBackToMenu()">
        <img id="backToMenuButton" src="../assets/mapbutton.png" />
      </button>
      <div class="deathAndRecord">
        <div>
          <span id="deathCounter">0</span>
          <img src="../assets/skull.png" id="deathCounterImg" />
        </div>
        <p>Best : <span id="record">0</span> death(s)</p>
      </div>
    </div>

    <div id="camera"></div>

    <div id="player" class="moveR">
      <div id="hitbox"></div>
    </div>

    <div class="level">
      <div class="parallax2 lvl4"></div>
      <div class="parallax1 lvl4"></div>

      <div class="back relative wall b1">
        <div class="block b1 grass wall"></div>
        <div class="added _l">
          <div class="wlt b1 h1"></div>
          <div class="wl b1 h3"></div>
          <div class="wlb b1 h1"></div>
        </div>
      </div>

      <div>
        <div class="plebs">
          <div class="platform"></div>
        </div>
        <img id="startImg" class="decorProps" src="../assets/items/start.png" />
        <div id="start"></div>
        <div class="block grass b1"></div>
      </div>
      <div>
        <div class="trap campfire">
          <img src="../assets/textures/fire.gif" />
        </div>
        <div class="block grass b3"></div>
      </div>

      <!-- hole -->
      <div class="hole b2 flex">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <!--  spikes + ennemy    -->
      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="ennemy">
          <div class="trap monsterB lvl3Ennemy"></div>
        </div>
        <div class="block grass b10"></div>
      </div>

      <div class="hole b2 flex">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>

          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="ennemy">
          <div class="trap monsterB lvl3Ennemy"></div>
        </div>
        <div class="block grass b10"></div>
      </div>

      <div class="relative back">
        <div class="block grass b1 h10 f2"></div>
        <div>
          <div class="block grass b1"></div>
        </div>
        <div class="added">
          <div class="wlt b1 h1"></div>
          <div class="wl b1 h9 f3"></div>
        </div>
      </div>

      <div>
        <div class="plebs">
          <div class="block b2 grass"></div>
        </div>
        <div class="hole b2 flex">
          <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
          <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        </div>
      </div>

      <div>
        <!-- elevator -->
        <div class="relative h12 behind">
          <div class="elevator">
            <div class="trap campfire">
              <img src="../assets/textures/fire.gif" />
            </div>
            <div class="block grass b1 h3"></div>
          </div>
          <div class="added _r elevator">
            <div class="wrt b1 h1"></div>
            <div class="wr b1 h2"></div>
          </div>
        </div>
        <div class="plebs">
          <div class="block b1 grass h2 f1"></div>
          <div class="block b1 grass"></div>
        </div>
        <div class="hole b1">
          <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        </div>
      </div>
      <div>
        <div class="plebs">
          <div class="block b3 grass"></div>
        </div>
        <!--  free fall  -->
        <div class="hole b3 flex">
          <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
          <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
          <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        </div>
      </div>

      <!--  safe spot  -->
      <div class="block grass b1"></div>
      <!-- trap pic -->
      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block grass b3"></div>
      </div>

      <div class="hole b1">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <div>
        <img
          class="decorProps plants"
          src="../assets/items/jungle-flower-stink.png"
        />
        <div class="block grass b1"></div>
      </div>

      <div class="hole b2 flex">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <!-- walljump -->
      <div class="relative back">
        <div class="block grass f1 b1 h6"></div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block grass b1"></div>
        <div class="added">
          <div class="wlt b1 h1"></div>
          <div class="wl b1 h5 f2"></div>
        </div>
      </div>

      <div>
        <div class="plebs">
          <div class="platform f1"></div>
          <div class="platform f1"></div>
          <div class="platform f1"></div>
        </div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block grass b2"></div>
      </div>

      <div class="relative back">
        <div class="block grass b1 h5"></div>
        <div class="added _r">
          <div class="wrt b1 h1"></div>
          <div class="wr b1 h3"></div>
          <div class="wrb b1 h1"></div>
        </div>
      </div>

      <div class="hole b2 flex">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <!--  bait part  -->
      <div>
        <div>
          <div class="flex">
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
          </div>
          <div class="ennemy">
            <div class="trap monsterB lvl3Ennemy"></div>
          </div>
          <div class="block grass f2 b20 h2"></div>
        </div>

        <div class="relative">
          <img id="sign" class="decorProps" src="../assets/items/sign.png" />
          <div class="flex">
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
          </div>
          <div class="ennemy">
            <div class="trap monsterB lvl3Ennemy"></div>
          </div>
          <div class="block grass b20"></div>
        </div>
      </div>

      <div class="block grass b1 h5"></div>

      <!-- triple spike pixel perf -->
      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block grass b2"></div>
      </div>

      <div class="hole b2 flex">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <div>
        <div class="ennemy">
          <div class="trap monsterB lvl3Ennemy"></div>
        </div>
        <div class="block grass b3"></div>
      </div>

      <div class="hole b2 flex">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block grass b2"></div>
      </div>

      <div class="hole b2 flex">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <!-- toxic walljump -->
      <div class="relative back">
        <div class="block grass b1 f2 h8"></div>
        <div class="block grass b1"></div>
        <div class="added">
          <div class="wlt b1 h1"></div>
          <div class="wl b1 h7 f3"></div>
        </div>
      </div>

      <div>
        <div class="plebs">
          <div class="platform f1"></div>
          <div class="platform f1"></div>
          <div class="platform f1"></div>
          <div class="platform f1"></div>
          <div class="platform f1"></div>
          <div class="block grass b2"></div>
        </div>

        <div class="hole b2 flex">
          <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
          <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        </div>
      </div>

      <div class="relative back">
        <div class="block grass b1 h8"></div>
        <div class="added _r">
          <div class="wrt b1 h1"></div>
          <div class="wr b1 h6"></div>
          <div class="wrb b1 h1"></div>
        </div>
      </div>
      <div class="block grass b1 h8"></div>

      <!-- side spike section -->
      <div class="behind">
        <div class="f1 right-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="f1 right-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="f1 right-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="f1 right-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="f1 right-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="f1 right-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block grass b1"></div>
      </div>

      <div class="behind">
        <div class="f1 left-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="f1 left-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="f1 left-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="f1 left-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="f1 left-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="f1 left-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="f3 left-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div>
          <div class="flex">
            <div class="spike">
              <div class="trap pic"></div>
            </div>
            <div class="spike">
              <div class="trap pic"></div>
            </div>
          </div>
          <div class="block grass b1"></div>
        </div>
      </div>

      <div>
        <div class="block grass b1 f2 h10"></div>
        <div class="block grass b1"></div>
      </div>

      <div class="hole b2 flex">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <div>
        <div class="block grass b3 h30 f2"></div>
        <div id="finish" class="block grass b3"></div>
      </div>

      <!--    <div class="block grass b1 wall"></div>-->

      <div class="trap pic fall"></div>
    </div>

    <div id="myModal" class="modal">
      <!-- Modal content -->
      <div class="modal-content">
        <img src="../assets/bubble.png" alt="" />
        <div class="flex">
          <div id="playerSword" class="hitR play">
            <div id="hitbox"></div>
            <div id="swordSlash"></div>
          </div>
          <div class="keyboard keymodal">
            <div class="touches">
              <div class="touche mq"></div>
              <div class="touche mup">W</div>
              <div class="touche me"></div>
            </div>
            <div class="touches">
              <div class="touche mleft">A</div>
              <div class="touche mdown">S</div>
              <div class="touche mright">D</div>
            </div>
            <div class="touches">
              <div class="touche mspace">SPACE</div>
            </div>
          </div>
        </div>
        <button id="nextLevel">
          <img src="../assets/Menu/red-arrow.png" alt="" />
        </button>
      </div>
    </div>
  </body>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/js-cookie@rc/dist/js.cookie.min.js"></script>
  <script src="../js/level.js"></script>
</html>
